unit Unit1;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, db, FileUtil, JDBLabeledEdit, VpFlxDS, VpBaseDS,
  VpWeekView, ZConnection, ZDataset, Forms, Controls, Graphics, Dialogs,
  ExtCtrls, Buttons, StdCtrls, VpData;

type

  { TForm1 }

  TForm1 = class(TForm)
    btnLogin: TBitBtn;
    ControlLink: TVpControlLink;
    dsEvents: TDataSource;
    dsResources: TDataSource;
    edHost: TLabeledEdit;
    edPassword: TLabeledEdit;
    edPort: TLabeledEdit;
    edUser: TLabeledEdit;
    edDB: TLabeledEdit;
    Panel1: TPanel;
    Panel2: TPanel;
    qryEvents: TZQuery;
    qryEventsalarmadvance: TLongintField;
    qryEventsalarmadvancetype: TLongintField;
    qryEventsalarmset: TBooleanField;
    qryEventsalldayevent: TBooleanField;
    qryEventscategory: TLongintField;
    qryEventscustominterval: TLongintField;
    qryEventsdescription: TStringField;
    qryEventsendtime: TDateTimeField;
    qryEventsid: TLongintField;
    qryEventsnotes: TStringField;
    qryEventsrepeatcode: TLongintField;
    qryEventsrepeatrangeend: TDateTimeField;
    qryEventsresourceid: TStringField;
    qryEventssnoozetime: TDateTimeField;
    qryEventsstarttime: TDateTimeField;
    qryResources: TZQuery;
    DataStore: TVpFlexDataStore;
    qryResourcesactive: TBooleanField;
    qryResourcesdescription: TStringField;
    qryResourcesid: TLongintField;
    qryResourcesimageindex: TLongintField;
    qryResourcesnotes: TStringField;
    qryResourcesresourceid: TLongintField;
    VpWeekView1: TVpWeekView;
    ZConn: TZConnection;
    procedure btnLoginClick(Sender: TObject);
  private
    { private declarations }
  public
    { public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.lfm}

{ TForm1 }

procedure TForm1.btnLoginClick(Sender: TObject);
var
  i:integer;
begin
  with zConn do
  begin
    DataBase:=edDB.text;
    HostName:=edHost.Text;
    Port:=StrToInt(edPort.Text);
    User:= edUser.Text;
    Password:=edPassword.Text;
    Protocol:='postgresql-9';
    Connect;
  end;
  DataStore.Connected:=true;
  //for i:=0 to DataStore.Resources.Count-1 do
  //  showmessage(DataStore.Resources.Items[i].Description);
  DataStore.ResourceID:=1;

  Panel2.Visible:=true;
end;

end.

